[SOLVED] Compile error, "magic-interpreter-lexer.c"?

Ask for help regarding any technical issue or report any bug or OS independent issues.
Post Reply
Thatjoshguy
Newly Registered User
Posts: 5
Joined: 23 Jul 2010, 23:00

[SOLVED] Compile error, "magic-interpreter-lexer.c"?

Post by Thatjoshguy » 23 Jul 2010, 23:17

Tried to compile eAthena on Centos 5.1 by following this tutorial: http://wiki.themanaworld.org/index.php/ ... a_on_Linux

Got some help on IRC, but still couldn't get around this issue:

Code: Select all

make[1]: Entering directory `/root/eathena/src/map'
flex -o magic-interpreter-lexer.c magic-interpreter.l
flex: can't open magic-interpreter-lexer.c
make[1]: *** [magic-interpreter-lexer.c] Error 1
make[1]: Leaving directory `/root/eathena/src/map'
I checked in src/map and sure enough "magic-interpreter-lexer.c" isn't there though I'm not sure if it is supposed to be or not.

The end result is that everything except the map-server seems to compile just fine. I can run "eathena start" and I can even create an account and character.

Am I missing something simple here?

MAKE logs: http://pastebin.ca/1907184
MAKE TOOLS logs: http://pastebin.ca/1907185


Thanks is advance!
Last edited by Thatjoshguy on 26 Jul 2010, 00:18, edited 1 time in total.
Thatjoshguy
Newly Registered User
Posts: 5
Joined: 23 Jul 2010, 23:00

Re: Compile error, no map-server, "magic-interpreter-lexer.c

Post by Thatjoshguy » 24 Jul 2010, 03:39

OK, quick note to all those running CentOS 5.2

do NOT use the version of Flex found via Yum (2.5.4) it will not work! build 2.5.35 from source!
User avatar
MadCamel
TMW Adviser
TMW Adviser
Posts: 605
Joined: 02 Jan 2009, 05:19
Location: Catland

Re: Compile error, no map-server, "magic-interpreter-lexer.c

Post by MadCamel » 25 Jul 2010, 22:58

install flex and bison
Head of the TMW Illuminati
Thatjoshguy
Newly Registered User
Posts: 5
Joined: 23 Jul 2010, 23:00

Re: Compile error, no map-server, "magic-interpreter-lexer.c

Post by Thatjoshguy » 26 Jul 2010, 00:01

MadCamel wrote:install flex and bison
Thanks, by I had already done so. Some kind folks helped me out via IRC, and they were quite patient with me, however we got nowhere when it came to this specific error.

The problem was the version of Flex I was using, hence my second post. Guess I should have made it clearer that downgrading flex solved the issue.
User avatar
MadCamel
TMW Adviser
TMW Adviser
Posts: 605
Joined: 02 Jan 2009, 05:19
Location: Catland

Re: [SOLVED] Compile error, "magic-interpreter-lexer.c"?

Post by MadCamel » 26 Jul 2010, 02:03

Out of curiosity, what version of flex didn't like to work? I may take a poke at fixing that as there is no reason old build tools should be required to build the server.
Head of the TMW Illuminati
User avatar
Freeyorp101
Administrator
Administrator
Posts: 708
Joined: 04 Nov 2008, 10:17
Location: New Zealand

Re: [SOLVED] Compile error, "magic-interpreter-lexer.c"?

Post by Freeyorp101 » 26 Jul 2010, 02:44

He had an unusual build of flex that did not support --bison-bridge or %option bison-bridge, for whatever reason.

Since that's fairly core functionality I'm not sure that this is something that can be easily worked around.


---Freeyorp
(09:58:17) < tux9th> Freeyorp: your sig on the forums is kind of outdated
Thatjoshguy
Newly Registered User
Posts: 5
Joined: 23 Jul 2010, 23:00

Re: [SOLVED] Compile error, "magic-interpreter-lexer.c"?

Post by Thatjoshguy » 26 Jul 2010, 03:51

MadCamel wrote:Out of curiosity, what version of flex didn't like to work? I may take a poke at fixing that as there is no reason old build tools should be required to build the server.
I'll check again tomorrow, but it was the version available to CentOS via YUM. 2.5.4 I believe, possibl 2.5.4a
Thatjoshguy
Newly Registered User
Posts: 5
Joined: 23 Jul 2010, 23:00

Re: [SOLVED] Compile error, "magic-interpreter-lexer.c"?

Post by Thatjoshguy » 26 Jul 2010, 11:16

It was indeed 2.5.4a that I tried. However, I just read that 2.5.35 is actually the newer build? Guess that would explain it?
Post Reply